SOFTWARE-PROPERTIES-QT(1)

NAME
software-properties-qt - Software Sources List editor

SYNOPSIS
software-properties-qt [Qt-options] [QT-options] [options]

DESCRIPTION
Software Sources List editor

OPTIONS

  Options:

--debug
    Print some debug information to the command line

--massive-debug
    Print a lot of debug information to the command line

--dont-update
    No update on repository change (useful if called from an external program)

--enable-component <name>
    Enable the specified component of the distro's repositories [component_arg]

--enable-ppa <name>
    Enable PPA with the given name [ppa_arg]

--attach <WinID>
    Win ID to act as a dialogue for [attach_arg]

  Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--config <filename>
    Use alternative configuration file

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

--stylesheet
    <file.qss> applies the Qt stylesheet to the application widgets

--graphicssystem <system>
    use a different graphics system instead of the default one, options are raster and opengl (experimental)